### MERGE canada DATA
rm(list = ls())
source("format.fun.R")
library(reshape)
dir.create("../../output/process/Canada", recursive=TRUE,showWarnings=FALSE)


######################### READ DATA read individuals tree data
data.canada <- read.csv("../../data/raw/Canada/Canada_Data2George_20130910.csv", 
    header = TRUE, stringsAsFactors = FALSE)
sum(is.na(data.canada$species))
data.canada$sp = data.canada$species_FIACode
data.canada$species_FIACode <- NULL
### read species names and merge with data.canada
species.clean <- read.csv("../../data/raw/Canada/FIA_REF_SPECIES.csv", stringsAsFactors = FALSE)
data.canada <- merge(data.canada, data.frame(sp = species.clean$SPCD, species.clean[,2:3], stringsAsFactors = F), by = "sp", all.x = T)
data.canada$sp.name <- data.canada$COMMON_NAME; data.canada$COMMON_NAME <- NULL
###################################### MASSAGE TRAIT DATA HEIGHT DATA FOR TREE MISSING BRING US DATA FOR HEIGHT OVER
###################################### WHEN WE ANALYZE THAT DATASET LATER ON
########################################## FORMAT INDIVIDUAL TREE DATA
data.canada$FinalDBH[data.canada$FinalDBH < 0] <- NA 
data.canada$G <- 10 * (data.canada$FinalDBH - data.canada$InitDBH)/data.canada$Interval  ## diameter growth in mm per year
data.canada$G[which(data.canada$InitDBH == 0 | data.canada$FinalDBH == -999)] <- NA
data.canada$year <- data.canada$Interval; data.canada$IntervalYears <- NULL ## number of year between measurement
data.canada$D <- data.canada[["InitDBH"]]
data.canada$D[data.canada$D == 0] <- NA ## diameter in cm
data.canada$dead <- as.numeric(is.na(data.canada$FinalDBH))  ## dummy variable for dead tree 0 alive 1 dead
data.canada$htot <- rep(NA, nrow(data.canada))  ## height of tree in m
data.canada$plot <- data.canada$PlotID_InitYear; data.canada$PlotID_InitYear <- NULL ## plot id
data.canada$tree.id <- data.canada[["PlotTree_ID"]]; data.canada[["PlotTree_ID"]] <- NULL ## tree unique id
data.canada$census <- rep(1,nrow(data.canada))
data.canada$obs.id <- data.canada$tree.id
data.canada$weights <- 1/(data.canada$SubPlotSize*10000) ### there is some strange small value in SubPlotSize 20 m^2 even for large tree NEED TO ASK Hongcheng ## REPLY BETTER TO DElETE THIS PLOTS HE DON T KNOW WHY SO SMALLL
data.canada$cluster <- as.character(data.canada[["plot"]])  ## cluster code
###################### ECOREGION merge to have no ecoregion with low number of observation
greco <- read.csv(file = "../../data/raw/Canada/EcoregionCodes.csv", header = T, 
    sep = "\t")
data.canada$ecocode <- data.canada$Ecocode; data.canada$Ecocode <- NULL
table(data.canada$ecocode)
## Some ecoregions still have small # of individuals, so either drop off for
## analysis later on or wait for Quebec data to come in 
## library(RColorBrewer)
## library(rworldmap)
## newmap <- getMap(resolution = 'coarse')
## # different resolutions available
## x11()
## plot(newmap,xlim=c(-110,-50),ylim=c(50,55))

## ecoreg <- factor(data.canada$ecocode); levels(ecoreg) <- mycols <- brewer.pal(length(levels(ecoreg)), "Set1")
## points(data.canada[['Lon']],data.canada[['Lat']],pty='.',cex=.2,col = as.character(ecoreg))
## legend('bottomleft', col = mycols, legend = names(table(data.canada$ecocode)), pch = rep(19,length(levels(ecoreg)))) 
## points(data.canada[['Lon']][data.canada$ecocode == "-331"], data.canada[['Lat']][data.canada$ecocode == "-331"],pty=2,cex=1, col = 'black') 
## points(data.canada[['Lon']][data.canada$ecocode == "-251"], data.canada[['Lat']][data.canada$ecocode == "-251"],pty=2,cex=1, col = 'red')

### delete the tree in this two ecoregion
data.canada <- subset(data.canada,subset=(data.canada$ecocode != "-251") & (data.canada$ecocode != "-331"))

#data.canada$eco_codemerged <- combine_factor(data.canada$eco_code,c(1:8,6,9))
###################### PERCENT DEAD variable percent dead/cannot do with since dead variable is
###################### missing compute numer of dead per plot to remove plot with disturbance
perc.dead <- tapply(data.canada[["dead"]], INDEX = data.canada[["plot"]], FUN = function.perc.dead2)
data.canada <- merge(data.canada, data.frame(plot = names(perc.dead), perc.dead = perc.dead), 
    by = "plot", sort = FALSE)
####################################### PLOT SELECTION FOR THE ANALYSIS Remove data with dead == 1
table(data.canada$dead)
data.canada <- data.canada[data.canada$dead == 0,]
vec.abio.var.names <- c("MAT", "MAP")
vec.basic.var <- c("obs.id","tree.id", "sp", "sp.name","cluster","plot", "ecocode", "D", "G", "dead", 
    "year", "htot", "Lon", "Lat", "perc.dead","weights","census")
data.tree <- subset(data.canada, select = c(vec.basic.var, vec.abio.var.names))
write.csv(data.tree,file="../../output/process/Canada/data.tree.csv")

