% 'How are competitive interactions influenced by traits? A global analysis based on tree radial growth'
% Workshop 16-20 September 2013, at Macquarie University Australia

**Venue** The workshop will be held in the room E8C 212 in the Department of Biology at Macquarie University (see  map at the end).

**Accommodation** Most of the participant will be staying at the [Travel Lodge](http://www.travelodge.com.au/travelodge-macquarie-north-ryde-hotel/home), 81 Talavera Road, North Ryde NSW 2113 (see map at the end). The hotel is located about 4 mins walk from the biology building, and 8 mins walk from the Macquarie University train station.

# Participants

Attending the workshop

- Georges Kunstler, Macquarie University / Irstea. georges.kunstler@gmail.com
- Mark Westoby, Macquarie University. mark.westoby@mq.edu.au
- Daniel Falster, Macquarie University. daniel.falster@mq.edu.au
- David Coomes, University of Cambrdige. david.coomes@gmail.com
- Rob Kooyman, Royal Botanic Gardens and Domain Trust. robert@ecodingo.com.au
- Daniel Laughlin, University of Waikato. d.laughlin@waikato.ac.nz
- Helen Murphy, CSIRO. Helen.Murphy@csiro.au
- Lourens Poorter, Wageningen University. lourens.poorter@wur.nl
- Mark Vanderwel, University of Florida. mark.vanderwel@ufl.edu
- Ghislain Vieilledent, Cirad. ghislain.vieilledent@cirad.fr
- Joe Wright, Smithsonian Tropical Research Institute. wrightj@si.edu

Participating remotely

- Göran Ståhl, Swedish University of Agricultural Sciences. Goran.Stahl@slu.se
- I-Fang Sun, National Dong Hwa University. ifsun@mail.ndhu.edu.tw
- Maria Uriarte, Columbia University. mu2126@columbia.edu
- Nathan Swenson, Michigan State University. swensonn@msu.edu
- Miguel Zavala & Paloma Ruiz, Universida de Alcala. madezavala@gmail.com
- Niklaus Zimmermann, WSL. niklaus.zimmermann@wsl.ch
- Bruno Herault, CIRAD. Bruno.Herault@ecofog.gf
- Sylvie Gourlet-Fleury, CIRAD. sylvie.gourlet-fleury@cirad.fr

# Overview

Given the importance in the ecological literature of the idea that trait similarity drives competitive interaction, the goal of this working group is to extend a recent analysis by Kunstler *et al.* 2012 showing that trait hierarchy underpins competitive interactions to other forest ecosystems around the world. There are several datasets from national forest inventories or from long term permanent plots that report individual tree growth that can be combined with data about species functional traits, sourced locally or from global databases (e.g. TRY), to test these ideas. Accordingly, we are organising a working group to test several hypothesis of how traits influence the outcome of competition in multiple sites around the world.

Kunstler *et al.* “Competitive Interactions Between Forest Trees Are Driven by Species’ Trait Hierarchy, Not Phylogenetic or Functional Similarity: Implications for Forest Community Assembly.” Ecology Letters 15: 831–840. doi: [10.1111/j.1461-0248.2012.01803.x](http://doi.org/10.1111/j.1461-0248.2012.01803.x)


# Goals

Our main aim for the meeting is to carry out the actual analysis and to test analysis that may be too long to run during the week. So far we have formatted the data (tree demographic data and traits data) and run preliminary analysis for a subset of data. The advance in the formatting of the data is variable between data set. During the workshop we plan to progress in parallel on **1.** formatting of data not ready for analysis, **2.** run the the preliminary analysis on the newly formatted data, **3.** work on improving the preliminary analysis with *(a)* choice of the shape of function, approach to deal with missing data and write the code for this new model and *(b)* test model including traits variability to deals with missing traits values (probably to long to be run within the week of the workshop) and **4.** interpret the preliminary results and write an outline of the paper. 

![Workflow](workflow.png "Hotel map")

\pagebreak

# Agenda

## Saturday 14 - Sunday 15

Participants arrive in Sydney. Personal site seeing in Sydney region.

## Monday 16

* 9:00 Arrival
* 9.15-9.30   Brief introduction on the objectives of the working group (*Georges*)
* 9:30-10:30  Introduction of participants. Each participant to give
    - 1 slide about their research
    - 1 slide introducing their dataset (if applicable)
* 10:30-11:00  *Coffee break*
* 11:00-13:00	Hypotheses: about the link between traits & competition, and possible differences among biomes (i.e. tropical vs. temperate). (*Georges to give short presentation, followed by group discussion.*)
* 13:00-14:00  *Lunch*
* 14:00-16:00   Preliminary results: detailed presentation of the data, ecoregion, analysis and fist results. (*Presentation from Georges, followed by group discussion.*)
* 16:00-17:00   Organize work for the week, list of potential sub groups for potential publications arising. (*Group discussion.*)

* 18:30- **Dinner at Mark Westoby's place**
    - 1203/599 Pacific Highway, St Leonards NSW 2065. Ph: +61406 094 674
    - Travel as a group by train to St Leonards station, short 5min walk.

## Tuesday 17

* 9:00-11:30  **Split into sub groups** to complete data description, run analyses, and/or review results by site
    * US & Canada. (*Mark Vanderwel*, ...)
    * New Zealand. (*Daniel Laughlin*, ...)
    * Spain, Switzerland, France, Sweden. (*David Coomes, Georges Kunstler, ...*)
    * BCI, Fushan, Luquillo. (*Joe Wright, Daniel Falster, ...*)
    * NSW CSIRO Queensland. (*Robert Kooyman*, ...)
    * Paracou & M'Baiki. (*Ghislain Vieilledent, Lourens Poorter, ...*)

* 11:30-12:30   Report back to group.  List issues and tasks. Write emails with issues to solve to data set contributors.
* 12:30-13:30  *Lunch*
* 13:30-16:00 **Split into sub groups** to work on tasks (potential list)

    * Data formatting
	* Running first simple analysis
    * Explore alternatives for better model (shape of diameter & competition functions, approach to deal with missing traits value)
    * Work on model including variability of traits (mean drawn from normal with given sd)
    * Explore first results and start to work a paper outline

* 17:00-17:30   Wrap up. Planning 'final' analysis to be sent and code to be written for that on Wednesday.

* 22:00-23:00   (Georges) Skype meeting with Maria Uriarte (and Nathan Swenson?). Skype meeting with Miguel Zavala ?


## Wednesday 18

* 9:00-12:30 **Split into sub groups**, continue on tasks

    * Data formatting
	* Running first simple analysis
    * Explore alternatives for better model (shape of diameter & competition functions, approach to deal with missing traits value)
    * Work on model including variability of traits (mean drawn from normal with given sd)
    * Explore first results and start to work a paper outline

* 11:15-12:15  (*Georges & Joe*) Skype meeting with I-Fang Sun
* 12:30-13:30  *Lunch*
* 13:30-16:00 **Split into subgroups**, continue working on tasks, send analyses to cluster
* 16:00-17:00   Wrap up progress of the day

## Thursday 19

* 9:00-12:00 **Split into sub groups**, continue working on tasks, analysis of results.
* 12:00-12:30  *Lunch*
* 12:30-17:00 **field trip Ku-Ring-Gai Chase National Park**

## Friday 20

* 9:00-11:00    Wrap up the progress of the week and results so far
* 11:00-13:00   Work to finish this analysis and organization for that (additional data set not include so far?)
* 13:00-14:00  *Lunch*
* 14:00-15:30   Group discussion about future work that may rise from the workshop (*max 10 min per person*)
* 16:00-17:00   Skype meeting with Madrid (or later in the evening), Switzerland and Sweden.

\pagebreak

# Directions

Airport to accommodation: Macquarie University is accessible by train or taxi. Macquarie University is on the northern side of Sydney and a taxi ride will cost approximately $100. The Macquarie University train station is on the northern line (red). A train from the airport (green line – change at Central station to northern line) will cost approximately $17. 

![Map. A red : Travellodge hotel, B green: Department of Biologicla Sciences.](travellodge.png "Hotel map")

# Recommended restaurants

## Near your hotel

- The Macquarie Centre:
- [The Ranch Hotel](http://www.theranch.com.au)
- [Mediterranean Marsfield](http://www.mediterraneanmarsfield.com.au/) Shop 8, 1 Trafalgar Place, Marsfield NSW

## Further afield

The following areas are interesting to visit and easily accessible by train

- Chatswood: a short train ride from Macquarie University, lots of shopping malls, asian restaurants. (*train to Chatswood*)
- Milsons Point / Kirribilli: by the harbour (*train to Milsons point*)
- City: check out the *[Opera Bar](http://www.operabar.com.au/home)* - an amazing bar on the concourse in front of the opera house; the [Australian hotel](http://www.australianheritagehotel.com/), for great beer and pizzas, or the [Lord Nelson Hotel](http://www.lordnelsonbrewery.com/), one of Sydney's oldest pubs. Access via Wynyard or Circular quay train stations.


